## node-sqlite3 2.2.0%2Bds1

=== test/nw/Makefile ===
NODE_WEBKIT_VERSION=0.8.4

all: app.nw

node_modules/sqlite3:
	npm install https://github.com/mapbox/node-sqlite3/tarball/master

node_modules/sqlite3/lib/node_sqlite3.node: node_modules/sqlite3
	cd node_modules/sqlite3 && nw-gyp rebuild --target=$(NODE_WEBKIT_VERSION) && rm -rf build/

node-webkit-v$(NODE_WEBKIT_VERSION)-osx-ia32.zip:
	wget https://s3.amazonaws.com/node-webkit/v$(NODE_WEBKIT_VERSION)/node-webkit-v$(NODE_WEBKIT_VERSION)-osx-ia32.zip

./node-webkit.app: node-webkit-v$(NODE_WEBKIT_VERSION)-osx-ia32.zip
	unzip -o node-webkit-v$(NODE_WEBKIT_VERSION)-osx-ia32.zip

app.nw: ./node-webkit.app Makefile package.json index.html node_modules/sqlite3/lib/node_sqlite3.node
	zip app.nw index.html package.json node_modules

test: ./node-webkit.app app.nw
	./node-webkit.app/Contents/MacOS/node-webkit app.nw

package: ./node-webkit.app Makefile package.json index.html node_modules/sqlite3
	rm -rf node-sqlite-test.app
	cp -r ./node-webkit.app node-sqlite-test.app
	mkdir ./node-sqlite-test.app/Contents/Resources/app.nw/
	cp package.json ./node-sqlite-test.app/Contents/Resources/app.nw/
	cp index.html ./node-sqlite-test.app/Contents/Resources/app.nw/
	cp -r node_modules/ ./node-sqlite-test.app/Contents/Resources/app.nw/
	./node-sqlite-test.app/Contents/MacOS/node-webkit

clean:
	rm -rf ./node_modules/sqlite3/build
	rm -f ./node_modules/sqlite3/lib/node_sqlite3.node
	rm -f ./app.nw
	rm -rf node-sqlite-test.app
	rm -f credits.html
	rm -f nwsnapshot

.PHONY: test

## node-sqlite3 2.0.17+ds1

=== debian/changelog ===
node-sqlite3 (2.0.17+ds1-2) unstable; urgency=low

  * Compliance to Debian Javascript Policy

 -- David Paleino <dapal@debian.org>  Sun, 16 Oct 2011 00:02:47 +0200

node-sqlite3 (2.0.17+ds1-1) unstable; urgency=low

  * Initial release (Closes: #645216)

 -- David Paleino <dapal@debian.org>  Thu, 13 Oct 2011 18:57:35 +0200

=== debian/control ===
Source: node-sqlite3
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , dh-buildinfo
 , nodejs-dev
 , libsqlite3-dev
Standards-Version: 3.9.2
Homepage: http://github.com/developmentseed/node-sqlite3
Vcs-Git: git://git.debian.org/collab-maint/node-sqlite3.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-sqlite3.git;a=summary

Package: node-sqlite3
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , nodejs
Description: asynchronous, non-blocking SQLite3 bindings for NodeJS
 node-sqlite3 provides asynchronous, non-blocking SQLite3 bindings for NodeJS.
 Its features are:
  - straightforward query and parameter binding interface;
  - full Buffer/Blob support;
  - extensive debugging support;
  - query serialization API;
  - extension support.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

UPVER := $(shell dpkg-parsechangelog | grep ^Version | cut -d- -f1 | cut -d+ -f1)

%:
	dh $@

override_dh_auto_configure:
	./configure \
		--prefix=/usr \
		--destdir=$(CURDIR)/debian/node-sqlite3

override_dh_auto_test:
	# nothing

override_dh_install:
	dh_install
	dh_buildinfo

override_dh_auto_clean:
	-dh_auto_clean
	rm -rf build/ lib/sqlite3_bindings.node .lock-wscript

get-orig-source:
	wget http://registry.npmjs.org/sqlite3/-/sqlite3-$(UPVER).tgz
	tar xf sqlite3-$(UPVER).tgz
	rm -rf package/deps/
	tar cf node-sqlite3_$(UPVER)+ds1.orig.tar package/
	gzip -9 node-sqlite3_$(UPVER)+ds1.orig.tar
	rm -rf package/ sqlite3-$(UPVER).tgz

## node-sqlite3 2.1.1+ds1

=== debian/changelog ===
node-sqlite3 (2.1.1+ds1-1) unstable; urgency=low

  * New upstream version
    - supports NodeJS 0.6 (Closes: #664912)
  * Bump Standards-Version to 3.9.3, no changes needed
  * Updated debian/copyright
  * Bump dependencies on node to >= 0.6

 -- David Paleino <dapal@debian.org>  Thu, 22 Mar 2012 00:16:39 +0100

node-sqlite3 (2.0.18+ds1-1) unstable; urgency=low

  * New upstream version
  * Add debian/watch
  * Fix debian/rules to get correct upstream version number
  * Fix buildsystem again to link against system-wide sqlite3

 -- David Paleino <dapal@debian.org>  Sat, 31 Dec 2011 12:36:55 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends:
  debhelper (>= 8~)
  , dh-buildinfo
- , nodejs-dev
+ , nodejs-dev (>= 0.6)
  , libsqlite3-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://github.com/developmentseed/node-sqlite3
 Vcs-Git: git://git.debian.org/collab-maint/node-sqlite3.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/node-sqlite3.git;a=summary
@@ -18,7 +18,7 @@
 Depends:
  ${shlibs:Depends}
  , ${misc:Depends}
- , nodejs
+ , nodejs (>= 0.6)
 Description: asynchronous, non-blocking SQLite3 bindings for NodeJS
  node-sqlite3 provides asynchronous, non-blocking SQLite3 bindings for NodeJS.
  Its features are:

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-UPVER := $(shell dpkg-parsechangelog | grep ^Version | cut -d- -f1 | cut -d+ -f1)
+ifndef UPVER
+UPVER := $(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | cut -d- -f1 | cut -d+ -f1)
+endif
 
 %:
 	dh $@
@@ -12,6 +14,7 @@
 override_dh_auto_configure:
 	./configure \
 		--prefix=/usr \
+		--with-sqlite3=/usr \
 		--destdir=$(CURDIR)/debian/node-sqlite3
 
 override_dh_auto_test:

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d// \
https://alioth.debian.org/~dapal/npmjs.php?id=sqlite3 \
http://registry.npmjs.org/sqlite3/-/sqlite3-(\d+.*)\.tgz

## node-sqlite3 2.1.19+ds1

=== debian/changelog ===
node-sqlite3 (2.1.19+ds1-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.5 .
  * Fix minor packaging issues.
  * Add myself to uploaders.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 05 Dec 2013 09:21:48 +0000

node-sqlite3 (2.1.15+ds2-1) unstable; urgency=low

  * New upstream version
  * Build-Depends on node-gyp (Closes: #719398)
  * Standards-Version 3.9.4
  * Use dh 9 for hardening
  * Canonicalize Vcs fields
  * Watch github
  * Keep same tree when installing module, install package.json

 -- Jérémy Lal <kapouer@melix.org>  Wed, 04 Sep 2013 14:29:30 +0200

=== debian/control ===
Source: node-sqlite3
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Jérémy Lal <kapouer@melix.org>,
 Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends:
 debhelper (>= 9~)
 , dh-buildinfo
 , node-gyp
 , libsqlite3-dev
Standards-Version: 3.9.5
Homepage: http://github.com/developmentseed/node-sqlite3
Vcs-Git: git://anonscm.debian.org/collab-maint/node-sqlite3.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-sqlite3.git

Package: node-sqlite3
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , nodejs
Description: asynchronous, non-blocking SQLite3 bindings for Node.js
 node-sqlite3 provides asynchronous, non-blocking SQLite3 bindings for Node.js.
 Its features are:
  - straightforward query and parameter binding interface;
  - full Buffer/Blob support;
  - extensive debugging support;
  - query serialization API;
  - extension support.
 .
 Node.js is an event-based server-side javascript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifndef UPVER
UPVER := $(shell dpkg-parsechangelog -SVersion | cut -d- -f1 | cut -d+ -f1)
endif

DSVER := $(shell dpkg-parsechangelog -SVersion | cut -d- -f1 | cut -d+ -f2)

TARDIR := node-sqlite3-$(UPVER)
TARNAME := node-sqlite3_$(UPVER)+$(DSVER).orig.tar


%:
	dh $@

override_dh_install:
	dh_install
	dh_buildinfo
	chmod 644 $(CURDIR)/debian/node-sqlite3/usr/lib/nodejs/sqlite3/lib/node_sqlite3.node

override_dh_auto_configure:
	node-gyp configure --sqlite=external

override_dh_auto_build:
	node-gyp build

override_dh_auto_test:

override_dh_shlibdeps:
	dpkg-shlibdeps \
		-T$(CURDIR)/debian/node-sqlite3.substvars \
		$(CURDIR)/debian/node-sqlite3/usr/lib/nodejs/sqlite3/lib/node_sqlite3.node

override_dh_strip:
	strip \
		--remove-section=.comment \
		--remove-section=.note \
		--strip-unneeded \
		$(CURDIR)/debian/node-sqlite3/usr/lib/nodejs/sqlite3/lib/node_sqlite3.node

get-orig-source:
	mkdir -p ../tarballs
	uscan \
		--verbose \
		--download-version $(UPVER) \
		--force-download \
		--destdir ../tarballs \
		--rename
	tar xvf ../tarballs/node-sqlite3_$(UPVER).orig.tar.gz
	@echo Repackaging
	rm -rf $(TARDIR)/deps/sqlite-*.tar.gz
	tar cf $(TARNAME) $(TARDIR)/
	rm -rf $(TARDIR)/
	gzip -9 $(TARNAME)
	mv $(TARNAME).gz ../tarballs/

## node-sqlite3 2.2.0%2Bds1

=== debian/changelog ===
node-sqlite3 (2.2.0+ds1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 21 Jan 2014 18:48:42 +0100

## node-sqlite3 2.2.0+ds1

=== Makefile ===
build:
	npm install --build-from-source

clean:
	rm -f ./lib/node_sqlite3.node
	rm -rf ./lib/binding/
	#rm -f ./test/support/big.db*
	rm -f ./test/tmp/*
	rm -rf ./deps/sqlite-autoconf-*/
	rm -rf ./build
	rm -rf ./out

test:
	npm test

.PHONY: build clean test

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Build-Depends:
  debhelper (>= 9~)
  , dh-buildinfo
+ , chrpath
  , node-gyp
  , libsqlite3-dev
 Standards-Version: 3.9.5
@@ -31,4 +32,3 @@
   - extension support.
  .
  Node.js is an event-based server-side javascript engine.
-

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 override_dh_install:
 	dh_install
 	dh_buildinfo
+	chrpath -d $(CURDIR)/debian/node-sqlite3/usr/lib/nodejs/sqlite3/lib/node_sqlite3.node
 	chmod 644 $(CURDIR)/debian/node-sqlite3/usr/lib/nodejs/sqlite3/lib/node_sqlite3.node
 
 override_dh_auto_configure:

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-sqlite3-$1.tar.gz/,dversionmangle=s/\+ds[\d]*$// \
https://github.com/developmentseed/node-sqlite3/tags .*/archive/v?([\d\.]+).tar.gz

## node-sqlite3 3.1.4+ds1

=== debian/changelog ===
node-sqlite3 (3.1.4+ds1-1) unstable; urgency=low

  * New upstream release.
  * Update homepage field.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 10 Jun 2016 18:42:50 +0000

node-sqlite3 (3.1.3+ds1-1) unstable; urgency=low

  * New upstream release (closes: #805073, #802349).
  * Update build dependencies.
  * Update packaging.
  * Run self-tests, but ignore the result for now.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 23 Apr 2016 13:31:25 +0000

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,15 @@
 Build-Depends:
  debhelper (>= 9~)
  , dh-buildinfo
+ , nodejs-legacy
  , chrpath
+ , node-pre-gyp (>= 0.6.25)
  , node-gyp
- , libsqlite3-dev
-Standards-Version: 3.9.5
-Homepage: http://github.com/developmentseed/node-sqlite3
+ , node-nan (>= 2.2.0)
+ , mocha
+ , libsqlite3-dev (>= 3.13.0)
+Standards-Version: 3.9.8
+Homepage: https://github.com/mapbox/node-sqlite3/wiki
 Vcs-Git: git://anonscm.debian.org/collab-maint/node-sqlite3.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-sqlite3.git
 
@@ -22,6 +26,8 @@
  ${shlibs:Depends}
  , ${misc:Depends}
  , nodejs
+ , node-pre-gyp (>= 0.6.25)
+ , node-nan (>= 2.2.0)
 Description: asynchronous, non-blocking SQLite3 bindings for Node.js
  node-sqlite3 provides asynchronous, non-blocking SQLite3 bindings for Node.js.
  Its features are:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifndef UPVER
UPVER := $(shell dpkg-parsechangelog -SVersion | cut -d- -f1 | cut -d+ -f1)
endif

DSVER := $(shell dpkg-parsechangelog -SVersion | cut -d- -f1 | cut -d+ -f2)

TARDIR := node-sqlite3-$(UPVER)
TARNAME := node-sqlite3_$(UPVER)+$(DSVER).orig.tar

PKGDIR=$(CURDIR)/debian/node-sqlite3/

override_dh_auto_configure:
	node-pre-gyp configure --sqlite=external --module_name=node_sqlite3

override_dh_auto_build:
	node-pre-gyp build

override_dh_auto_test:
	dh_auto_test || true

override_dh_fixperms:
	dh_fixperms
	chmod a-x $(PKGDIR)/usr/lib/nodejs/sqlite3/lib/binding/node-*/node_sqlite3.node

%:
	dh $@

get-orig-source:
	mkdir -p ../tarballs
	uscan \
		--verbose \
		--download-version $(UPVER) \
		--force-download \
		--destdir ../tarballs \
		--rename
	tar xvf ../tarballs/node-sqlite3_$(UPVER).orig.tar.gz
	@echo Repackaging
	rm -rf $(TARDIR)/deps/sqlite-*.tar.gz
	tar cf $(TARNAME) $(TARDIR)/
	rm -rf $(TARDIR)/
	gzip -9 $(TARNAME)
	mv $(TARNAME).gz ../tarballs/

.PHONY: override_dh_auto_configure override_dh_auto_build \
	override_dh_fixperms override_dh_auto_test

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-sqlite3-$1.tar.gz/,dversionmangle=s/\+ds[\d]*$// \
https://github.com/mapbox/node-sqlite3/tags .*/archive/v?([\d\.]+).tar.gz

## node-sqlite3 3.1.8+ds1

=== Makefile ===
#http://www.gnu.org/prep/standards/html_node/Standard-Targets.html#Standard-Targets

all: build

./node_modules:
	npm install --build-from-source

build: ./node_modules
	./node_modules/.bin/node-pre-gyp build --loglevel=silent

debug:
	./node_modules/.bin/node-pre-gyp rebuild --debug

verbose:
	./node_modules/.bin/node-pre-gyp rebuild --loglevel=verbose

clean:
	@rm -rf ./build
	rm -rf lib/binding/
	rm -f test/support/big.db-journal
	rm -rf ./node_modules/

grind:
	valgrind --leak-check=full node node_modules/.bin/_mocha

testpack:
	rm -f ./*tgz
	npm pack
	tar -ztvf *tgz
	rm -f ./*tgz

rebuild:
	@make clean
	@make

ifndef only
test:
	@PATH="./node_modules/mocha/bin:${PATH}" && NODE_PATH="./lib:$(NODE_PATH)" mocha -R spec
else
test:
	@PATH="./node_modules/mocha/bin:${PATH}" && NODE_PATH="./lib:$(NODE_PATH)" mocha -R spec test/${only}.test.js
endif

check: test

.PHONY: test clean build

=== debian/changelog ===
node-sqlite3 (3.1.8+ds1-2build2) bionic; urgency=medium

  * No-change rebuild against nodejs-abi-57.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 17 Feb 2018 18:14:11 -0600

node-sqlite3 (3.1.8+ds1-2build1) artful; urgency=medium

  * No-change rebuild to pick up nodejs-abi-48

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 18 Aug 2017 15:10:52 +0000

node-sqlite3 (3.1.8+ds1-2) unstable; urgency=medium

  * Use dh nodejs
  * Fix rc-buggy B-D on nodejs-legacy
  * Patch to fix node rename
  * Secure Vcs Url

 -- Jérémy Lal <kapouer@melix.org>  Wed, 21 Dec 2016 11:41:26 +0100

node-sqlite3 (3.1.8+ds1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 13 Nov 2016 17:07:42 +0000

node-sqlite3 (3.1.6+ds1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 24 Oct 2016 17:38:20 +0000

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,17 @@
 Build-Depends:
  debhelper (>= 9~)
  , dh-buildinfo
- , nodejs-legacy
  , chrpath
  , node-pre-gyp (>= 0.6.25)
  , node-gyp
  , node-nan (>= 2.2.0)
+ , nodejs-dev
  , mocha
- , libsqlite3-dev (>= 3.13.0)
+ , libsqlite3-dev (>= 3.15.1)
 Standards-Version: 3.9.8
 Homepage: https://github.com/mapbox/node-sqlite3/wiki
-Vcs-Git: git://anonscm.debian.org/collab-maint/node-sqlite3.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-sqlite3.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/node-sqlite3.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/node-sqlite3.git
 
 Package: node-sqlite3
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKGDIR=$(CURDIR)/debian/node-sqlite3/

override_dh_auto_configure:
	node-pre-gyp configure --sqlite=external --module_name=node_sqlite3

override_dh_auto_build:
	node-pre-gyp build

override_dh_auto_test:
	dh_auto_test || true

override_dh_fixperms:
	dh_fixperms
	chmod a-x $(PKGDIR)/usr/lib/nodejs/sqlite3/lib/binding/node-*/node_sqlite3.node

%:
	dh $@ --with nodejs

.PHONY: override_dh_auto_configure override_dh_auto_build \
	override_dh_fixperms override_dh_auto_test

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-sqlite3-$1.tar.gz/,dversionmangle=s/\+ds[\d]*$//,repacksuffix=+ds1 \
https://github.com/mapbox/node-sqlite3/tags .*/archive/v?([\d\.]+).tar.gz

## node-sqlite3 4.0.6+ds1

=== Makefile ===
--- 
+++ 
@@ -33,13 +33,8 @@
 	@make clean
 	@make
 
-ifndef only
 test:
-	@PATH="./node_modules/mocha/bin:${PATH}" && NODE_PATH="./lib:$(NODE_PATH)" mocha -R spec
-else
-test:
-	@PATH="./node_modules/mocha/bin:${PATH}" && NODE_PATH="./lib:$(NODE_PATH)" mocha -R spec test/${only}.test.js
-endif
+	npm test
 
 check: test

=== debian/changelog ===
node-sqlite3 (4.0.6+ds1-2) unstable; urgency=medium

  * Build against libnode-dev
  * Remove Depends:node-nan

 -- Jérémy Lal <kapouer@melix.org>  Fri, 25 Jan 2019 13:19:59 +0100

node-sqlite3 (4.0.6+ds1-1) unstable; urgency=medium

  * Team upload
  * Import version 4 from experimental to unstable
  * Add upstream/metadata
  * Enable hardening flags
  * Disable heavy tests
  * Enable mocha test and add autopkgtest files
  * Update lintian-overrides
  * Missing test
  * Drop rename-nodejs.patch
  * Ignore test if nocheck is set
  * New upstream version 4.0.6+ds1
  * Update debian/copyright

 -- Xavier Guimard <yadd@debian.org>  Thu, 24 Jan 2019 23:10:30 +0100

node-sqlite3 (4.0.2+ds1-1) experimental; urgency=medium

  * Team upload
  * New upstream version 4.0.2+ds1
  * Bump Standards-Version to 4.2.0 (no changes needed)
  * Bump debhelper compatibility level to 11
  * Use salsa.debian.org in Vcs-* fields

 -- Pirate Praveen <praveen@debian.org>  Mon, 20 Aug 2018 13:11:32 +0530

=== debian/control ===
Source: node-sqlite3
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Jérémy Lal <kapouer@melix.org>,
 Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends:
 debhelper (>= 11~)
 , chrpath
 , node-pre-gyp (>= 0.10.2~)
 , node-gyp
 , node-nan (>= 2.2.0)
 , node-gyp (>= 3.8.0-2)
 , libnode-dev
 , mocha
 , libsqlite3-dev (>= 3.15.1)
Standards-Version: 4.3.0
Homepage: https://github.com/mapbox/node-sqlite3/wiki
Vcs-Git: https://salsa.debian.org/js-team/node-sqlite3.git
Vcs-Browser: https://salsa.debian.org/js-team/node-sqlite3

Package: node-sqlite3
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , nodejs
 , node-pre-gyp (>= 0.10.2~)
Description: asynchronous, non-blocking SQLite3 bindings for Node.js
 node-sqlite3 provides asynchronous, non-blocking SQLite3 bindings for Node.js.
 Its features are:
  - straightforward query and parameter binding interface;
  - full Buffer/Blob support;
  - extensive debugging support;
  - query serialization API;
  - extension support.
 .
 Node.js is an event-based server-side javascript engine.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 PKGDIR=$(CURDIR)/debian/node-sqlite3/
 
@@ -13,14 +15,16 @@
 	node-pre-gyp build
 
 override_dh_auto_test:
-	dh_auto_test || true
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	./debian/tests/runner src
+endif
 
 override_dh_fixperms:
 	dh_fixperms
 	chmod a-x $(PKGDIR)/usr/lib/nodejs/sqlite3/lib/binding/node-*/node_sqlite3.node
 
 %:
-	dh $@ --with nodejs
+	dh $@
 
 .PHONY: override_dh_auto_configure override_dh_auto_build \
 	override_dh_fixperms override_dh_auto_test

=== debian/tests/control ===
Test-Command: ./debian/tests/runner require
Depends: @

Test-Command: ./debian/tests/runner
Depends: @, @builddeps@

## node-sqlite3 4.1.1%2Bds1

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,26 @@
 Uploaders: David Paleino <dapal@debian.org>,
  Jérémy Lal <kapouer@melix.org>,
  Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Testsuite: autopkgtest-pkg-nodejs
 Build-Depends:
- debhelper (>= 11~)
+ debhelper-compat (= 12)
  , chrpath
  , node-pre-gyp (>= 0.10.2~)
- , node-gyp
  , node-nan (>= 2.2.0)
  , node-gyp (>= 3.8.0-2)
  , libnode-dev
  , mocha
  , libsqlite3-dev (>= 3.15.1)
-Standards-Version: 4.3.0
+ , pkg-js-tools (>= 0.8.10)
+Standards-Version: 4.4.1
 Homepage: https://github.com/mapbox/node-sqlite3/wiki
 Vcs-Git: https://salsa.debian.org/js-team/node-sqlite3.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-sqlite3
+Rules-Requires-Root: no
 
 Package: node-sqlite3
 Architecture: any
+Multi-Arch: same
 Depends:
  ${shlibs:Depends}
  , ${misc:Depends}

## node-sqlite3 4.1.1+ds1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#http://www.gnu.org/prep/standards/html_node/Standard-Targets.html#Standard-Targets
+#https://www.gnu.org/prep/standards/html_node/Standard-Targets.html#Standard-Targets
 
 all: build

=== debian/changelog ===
node-sqlite3 (4.1.1+ds1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:51:41 +0100

node-sqlite3 (4.1.1+ds1-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.4.1
  * Add "Rules-Requires-Root: no"
  * New upstream version 4.1.1+ds1

 -- Xavier Guimard <yadd@debian.org>  Wed, 18 Dec 2019 06:46:19 +0100

node-sqlite3 (4.1.0+ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.1.0+ds1
  * Add docker files in examples

 -- Xavier Guimard <yadd@debian.org>  Mon, 19 Aug 2019 07:00:44 +0200

node-sqlite3 (4.0.9+ds1-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.0
  * Add debian/gbp.conf
  * New upstream version 4.0.9+ds1
  * Remove duplicate dependency to node-gyp
  * Add Multi-Arch: same
  * Switch test and install to pkg-js-tools

 -- Xavier Guimard <yadd@debian.org>  Sun, 11 Aug 2019 16:54:58 +0200

=== debian/rules ===
--- 
+++ 
@@ -14,17 +14,12 @@
 override_dh_auto_build:
 	node-pre-gyp build
 
-override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	./debian/tests/runner src
-endif
-
 override_dh_fixperms:
 	dh_fixperms
-	chmod a-x $(PKGDIR)/usr/lib/nodejs/sqlite3/lib/binding/node-*/node_sqlite3.node
+	chmod a-x $(PKGDIR)/usr/lib/*/nodejs/sqlite3/lib/binding/node-*/node_sqlite3.node
 
 %:
-	dh $@
+	dh $@ --with nodejs
 
 .PHONY: override_dh_auto_configure override_dh_auto_build \
 	override_dh_fixperms override_dh_auto_test

## node-sqlite3 4.2.0+ds1

=== debian/changelog ===
node-sqlite3 (4.2.0+ds1-2) unstable; urgency=medium

  * Limit build architectures to ones nodejs support.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 28 Jun 2020 21:48:16 +0200

node-sqlite3 (4.2.0+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Update debhelper clean target.
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 28 Jun 2020 11:36:59 +0200

=== debian/control ===
--- 
+++ 
@@ -10,20 +10,20 @@
  debhelper-compat (= 12)
  , chrpath
  , node-pre-gyp (>= 0.10.2~)
- , node-nan (>= 2.2.0)
+ , node-nan (>= 2.12.1)
  , node-gyp (>= 3.8.0-2)
  , libnode-dev
  , mocha
- , libsqlite3-dev (>= 3.15.1)
+ , libsqlite3-dev
  , pkg-js-tools (>= 0.8.10)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/mapbox/node-sqlite3/wiki
 Vcs-Git: https://salsa.debian.org/js-team/node-sqlite3.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-sqlite3
 Rules-Requires-Root: no
 
 Package: node-sqlite3
-Architecture: any
+Architecture: amd64 arm64 armhf i386 kfreebsd-i386 kfreebsd-amd64 mips mips64el mips64r6el mipsel ppc64el s390x
 Multi-Arch: same
 Depends:
  ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,11 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 PKGDIR=$(CURDIR)/debian/node-sqlite3/
+
+override_dh_clean:
+	$(RM) -r $(CURDIR)/build \
+		$(CURDIR)/lib/binding
+	dh_clean
 
 override_dh_auto_configure:
 	node-pre-gyp configure --sqlite=external --module_name=node_sqlite3

## node-sqlite3 5.0.0+ds1

=== debian/changelog ===
node-sqlite3 (5.0.0+ds1-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Update renamed lintian tag names in lintian overrides.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs
  * New upstream version 5.0.0+ds1
  * Embed node-addon-api for build only
  * Update copyright
  * Don't launch 2 failed tests with mocha > 5
  * Update build

 -- Xavier Guimard <yadd@debian.org>  Tue, 06 Oct 2020 13:26:32 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  , libnode-dev
  , mocha
  , libsqlite3-dev
- , pkg-js-tools (>= 0.8.10)
+ , dh-sequence-nodejs
 Standards-Version: 4.5.0
 Homepage: https://github.com/mapbox/node-sqlite3/wiki
 Vcs-Git: https://salsa.debian.org/js-team/node-sqlite3.git

## node-sqlite3 5.0.2+ds1

=== test/nw/Makefile ===
--- 
+++ 
@@ -3,10 +3,10 @@
 all: app.nw
 
 node_modules/sqlite3:
-	npm install https://github.com/mapbox/node-sqlite3/tarball/master
+	npm install https://github.com/mapbox/node-sqlite3/tarball/master --build-from-source --runtime=node-webkit --target_arch=ia32 --target=$(NODE_WEBKIT_VERSION)
 
-node_modules/sqlite3/lib/node_sqlite3.node: node_modules/sqlite3
-	cd node_modules/sqlite3 && nw-gyp rebuild --target=$(NODE_WEBKIT_VERSION) && rm -rf build/
+rebuild:
+	cd node_modules/sqlite3 && ./node_modules/.bin/node-pre-gyp rebuild --runtime=node-webkit --target_arch=ia32 --target=$(NODE_WEBKIT_VERSION)
 
 node-webkit-v$(NODE_WEBKIT_VERSION)-osx-ia32.zip:
 	wget https://s3.amazonaws.com/node-webkit/v$(NODE_WEBKIT_VERSION)/node-webkit-v$(NODE_WEBKIT_VERSION)-osx-ia32.zip
@@ -14,7 +14,7 @@
 ./node-webkit.app: node-webkit-v$(NODE_WEBKIT_VERSION)-osx-ia32.zip
 	unzip -o node-webkit-v$(NODE_WEBKIT_VERSION)-osx-ia32.zip
 
-app.nw: ./node-webkit.app Makefile package.json index.html node_modules/sqlite3/lib/node_sqlite3.node
+app.nw: ./node-webkit.app Makefile package.json index.html node_modules/sqlite3
 	zip app.nw index.html package.json node_modules
 
 test: ./node-webkit.app app.nw
@@ -30,8 +30,7 @@
 	./node-sqlite-test.app/Contents/MacOS/node-webkit
 
 clean:
-	rm -rf ./node_modules/sqlite3/build
-	rm -f ./node_modules/sqlite3/lib/node_sqlite3.node
+	rm -rf ./node_modules/sqlite3
 	rm -f ./app.nw
 	rm -rf node-sqlite-test.app
 	rm -f credits.html

=== debian/changelog ===
node-sqlite3 (5.0.2+ds1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 29 Aug 2021 01:32:10 +0100

node-sqlite3 (5.0.2+ds1-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Sun, 15 Aug 2021 11:25:02 +0200

node-sqlite3 (5.0.2+ds1-1) experimental; urgency=medium

  * Team upload

  [ Yadd ]
  * Declare compliance with policy 4.5.1
  * Modernize debian/watch
  * Fix GitHub tags regex

  [ harish ]
  * New upstream version 5.0.2+ds1

 -- harish chavre <harrych_1@yahoo.com>  Sun, 06 Jun 2021 17:16:52 +0000

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
  Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Testsuite: autopkgtest-pkg-nodejs
 Build-Depends:
- debhelper-compat (= 12)
+ debhelper-compat (= 13)
  , chrpath
- , node-pre-gyp (>= 0.10.2~)
- , node-nan (>= 2.12.1)
- , node-gyp (>= 3.8.0-2)
+ , node-pre-gyp
+ , node-nan
+ , node-gyp
  , libnode-dev
  , mocha
  , libsqlite3-dev
  , dh-sequence-nodejs
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/mapbox/node-sqlite3/wiki
 Vcs-Git: https://salsa.debian.org/js-team/node-sqlite3.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-sqlite3
@@ -29,7 +29,7 @@
  ${shlibs:Depends}
  , ${misc:Depends}
  , nodejs
- , node-pre-gyp (>= 0.10.2~)
+ , node-pre-gyp
 Description: asynchronous, non-blocking SQLite3 bindings for Node.js
  node-sqlite3 provides asynchronous, non-blocking SQLite3 bindings for Node.js.
  Its features are:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

PKGDIR=$(CURDIR)/debian/node-sqlite3/

%:
	dh $@

override_dh_clean:
	$(RM) -r $(CURDIR)/build \
		$(CURDIR)/lib/binding
	dh_clean

override_dh_auto_configure:
	dh_auto_configure --buildsystem=nodejs
	node-pre-gyp configure --sqlite=external --module_name=node_sqlite3

override_dh_auto_build:
	node-pre-gyp build

.PHONY: override_dh_auto_configure override_dh_auto_build \
	override_dh_clean

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-sqlite3-$1.tar.gz/,dversionmangle=auto,repacksuffix=+ds1 \
https://github.com/mapbox/node-sqlite3/tags .*/archive/.*/v?([\d\.]+).tar.gz

## node-sqlite3 5.0.11+ds1

=== debian/changelog ===
node-sqlite3 (5.0.11+ds1-1build1) kinetic; urgency=medium

  * Rebuild against new libnode108.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 26 Aug 2022 18:30:47 +0200

node-sqlite3 (5.0.11+ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 5.0.11+ds1

 -- Yadd <yadd@debian.org>  Mon, 08 Aug 2022 21:10:56 +0200

node-sqlite3 (5.0.10+ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 5.0.10+ds1

 -- Yadd <yadd@debian.org>  Mon, 25 Jul 2022 11:21:46 +0200

node-sqlite3 (5.0.9+ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 5.0.9+ds1

 -- Yadd <yadd@debian.org>  Tue, 19 Jul 2022 15:45:19 +0200

node-sqlite3 (5.0.8+ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 5.0.8+ds1

 -- Yadd <yadd@debian.org>  Thu, 19 May 2022 10:46:38 +0200

node-sqlite3 (5.0.6+ds1-2) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.1
  * Set architecture=any (Closes: #994611)

 -- Yadd <yadd@debian.org>  Wed, 18 May 2022 15:01:33 +0200

node-sqlite3 (5.0.6+ds1-1) unstable; urgency=medium

  * Team upload
  * Drop dependency to nodejs
  * New upstream version 5.0.6 (Closes: CVE-2022-21227)
  * Update node-addon-api
  * Update docs
  * Update examples
  * Update copyright

 -- Yadd <yadd@debian.org>  Sun, 01 May 2022 17:02:29 +0200

node-sqlite3 (5.0.2+ds1-4) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.

  [ Yadd ]
  * Fix filenamemangle
  * Update lintian overrides
  * Update doc

 -- Yadd <yadd@debian.org>  Wed, 23 Mar 2022 10:10:14 +0100

=== debian/control ===
--- 
+++ 
@@ -16,19 +16,18 @@
  , mocha
  , libsqlite3-dev
  , dh-sequence-nodejs
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/mapbox/node-sqlite3/wiki
 Vcs-Git: https://salsa.debian.org/js-team/node-sqlite3.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-sqlite3
 Rules-Requires-Root: no
 
 Package: node-sqlite3
-Architecture: amd64 arm64 armhf i386 kfreebsd-i386 kfreebsd-amd64 mips mips64el mips64r6el mipsel ppc64el s390x
+Architecture: any
 Multi-Arch: same
 Depends:
  ${shlibs:Depends}
  , ${misc:Depends}
- , nodejs
  , node-pre-gyp
 Description: asynchronous, non-blocking SQLite3 bindings for Node.js
  node-sqlite3 provides asynchronous, non-blocking SQLite3 bindings for Node.js.

## node-sqlite3 5.1.2+ds1

=== debian/changelog ===
node-sqlite3 (5.1.2+ds1-1) unstable; urgency=medium

  * Team upload
  * Drop embedded node-addon-api and use new package
  * New upstream version 5.1.2+ds1

 -- Yadd <yadd@debian.org>  Sat, 22 Oct 2022 18:53:03 +0200

node-sqlite3 (5.1.1+ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 5.1.1+ds1

 -- Yadd <yadd@debian.org>  Sat, 17 Sep 2022 17:21:51 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Build-Depends:
  debhelper-compat (= 13)
  , chrpath
+ , node-addon-api
  , node-pre-gyp
- , node-nan
  , node-gyp
  , libnode-dev
  , mocha

## node-sqlite3 5.1.5+ds1

=== debian/changelog ===
node-sqlite3 (5.1.5+ds1-1) unstable; urgency=medium

  * Team upload
  * Update lintian override info format in d/source/lintian-overrides
    on line 2-3
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse
  * Update standards version to 4.6.2, no changes needed.
  * New upstream version (Closes: CVE-2022-43441)

 -- Yadd <yadd@debian.org>  Tue, 14 Mar 2023 07:04:46 +0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  , mocha
  , libsqlite3-dev
  , dh-sequence-nodejs
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/mapbox/node-sqlite3/wiki
 Vcs-Git: https://salsa.debian.org/js-team/node-sqlite3.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-sqlite3

=== debian/watch ===
version=4
opts=filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-sqlite3-$1/,dversionmangle=auto,repacksuffix=+ds1 \
https://github.com/mapbox/node-sqlite3/tags .*/archive/.*/v?([\d\.]+).tar.gz
